Module tdlight.api
Package it.tdlight.jni

# Class TdApi.LinkPreviewOptions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LinkPreviewOptions

Enclosing class:
  TdApi

public static final class TdApi.LinkPreviewOptions extends TdApi.Object
Options to be used for generation of a link preview.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`forceLargeMedia`
True, if shown media preview must be large; ignored in secret chats or if the URL isn't explicitly specified.
`boolean`
`forceSmallMedia`
True, if shown media preview must be small; ignored in secret chats or if the URL isn't explicitly specified.
`boolean`
`isDisabled`
True, if link preview must be disabled.
`boolean`
`showAboveText`
True, if link preview must be shown above message text; otherwise, the link preview will be shown below the message text; ignored in secret chats.
`String`
`url`
URL to use for link preview.

## Constructor Summary

Constructors
Constructor
Description
`LinkPreviewOptions()`
Options to be used for generation of a link preview.
`LinkPreviewOptions(boolean isDisabled, String url, boolean forceSmallMedia, boolean forceLargeMedia, boolean showAboveText)`
Options to be used for generation of a link preview.
`LinkPreviewOptions(DataInput input)`
Options to be used for generation of a link preview.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isDisabled

public boolean isDisabled
True, if link preview must be disabled.

### url

public String url
URL to use for link preview. If empty, then the first URL found in the message text will be used.

### forceSmallMedia

public boolean forceSmallMedia
True, if shown media preview must be small; ignored in secret chats or if the URL isn't explicitly specified.

### forceLargeMedia

public boolean forceLargeMedia
True, if shown media preview must be large; ignored in secret chats or if the URL isn't explicitly specified.

### showAboveText

public boolean showAboveText
True, if link preview must be shown above message text; otherwise, the link preview will be shown below the message text; ignored in secret chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### LinkPreviewOptions

public LinkPreviewOptions()
Options to be used for generation of a link preview.

### LinkPreviewOptions

public LinkPreviewOptions(boolean isDisabled, String url, boolean forceSmallMedia, boolean forceLargeMedia, boolean showAboveText)
Options to be used for generation of a link preview.

Parameters:
  `isDisabled` - True, if link preview must be disabled.
  `url` - URL to use for link preview. If empty, then the first URL found in the message text will be used.
  `forceSmallMedia` - True, if shown media preview must be small; ignored in secret chats or if the URL isn't explicitly specified.
  `forceLargeMedia` - True, if shown media preview must be large; ignored in secret chats or if the URL isn't explicitly specified.
  `showAboveText` - True, if link preview must be shown above message text; otherwise, the link preview will be shown below the message text; ignored in secret chats.

### LinkPreviewOptions

public LinkPreviewOptions(DataInput input) throws IOException
Options to be used for generation of a link preview.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`